#
# spec file for package qca-sasl (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils qca qca-devel qt3 qt3-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           qca-sasl
BuildRequires:  cyrus-sasl-devel libdrm-devel libjpeg-devel qca-devel qt3-devel update-desktop-files
License:        LGPL
Group:          Development/Libraries/C and C++
Summary:        Qt Cryptographic Architecture SASL Plug-In
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://delta.affinix.com/qca/
Version:        1.0
Release:        19.2
Source:         %name-%version.tar.bz2

%description
This package provides a SASL plug-in for the generic Qt cryptographic
architecture using Cyrus SASL 2.



Authors:
--------
    Justin Karneges <justin@affinix.com>

%debug_package
%prep
%setup -q

%build
./configure
make

%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT/usr/lib/qt3/%_lib/usr/

%files
%defattr(-,root,root)
%doc README COPYING
/usr/lib/qt3/plugins/crypto/*

%changelog -n qca-sasl
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug 31 2004 - adrian@suse.de
- remove wrong rename of plugin
* Thu Aug 05 2004 - adrian@suse.de
- initial package of version 1.0
